Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/BinPacking2D.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/BinPacking2D.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/BinPacking2D.cs	(revision 15018)
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    protected BinPacking2D(bool deserializing) : base(deserializing) { }
+    protected BinPacking2D(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BinPacking2D(BinPacking2D original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/Evaluators/BinUtilizationEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/Evaluators/BinUtilizationEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/Evaluators/BinUtilizationEvaluator.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    protected BinUtilizationEvaluator(bool deserializing) : base(deserializing) { }
+    protected BinUtilizationEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BinUtilizationEvaluator(BinUtilizationEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/Evaluators/PackingRatioEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/Evaluators/PackingRatioEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/Evaluators/PackingRatioEvaluator.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    protected PackingRatioEvaluator(bool deserializing) : base(deserializing) { }
+    protected PackingRatioEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PackingRatioEvaluator(PackingRatioEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/IntegerVectorEncoding/BottomLeftIntegerVectorDecoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/IntegerVectorEncoding/BottomLeftIntegerVectorDecoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/IntegerVectorEncoding/BottomLeftIntegerVectorDecoder.cs	(revision 15018)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected BottomLeftIntegerVectorDecoder(bool deserializing) : base(deserializing) { }
+    protected BottomLeftIntegerVectorDecoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BottomLeftIntegerVectorDecoder(BottomLeftIntegerVectorDecoder original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/IntegerVectorEncoding/ExtremePointIntegerVectorDecoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/IntegerVectorEncoding/ExtremePointIntegerVectorDecoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/IntegerVectorEncoding/ExtremePointIntegerVectorDecoder.cs	(revision 15018)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected ExtremePointIntegerVectorDecoder(bool deserializing) : base(deserializing) { }
+    protected ExtremePointIntegerVectorDecoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExtremePointIntegerVectorDecoder(ExtremePointIntegerVectorDecoder original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/IntegerVectorEncoding/IntegerVectorDecoderBase.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/IntegerVectorEncoding/IntegerVectorDecoderBase.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/IntegerVectorEncoding/IntegerVectorDecoderBase.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    protected IntegerVectorDecoderBase(bool deserializing) : base(deserializing) { }
+    protected IntegerVectorDecoderBase(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected IntegerVectorDecoderBase(IntegerVectorDecoderBase original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/IntegerVectorEncoding/IntegerVectorProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/IntegerVectorEncoding/IntegerVectorProblem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/IntegerVectorEncoding/IntegerVectorProblem.cs	(revision 15018)
@@ -37,5 +37,5 @@
     // persistence
     [StorableConstructor]
-    private IntegerVectorProblem(bool deserializing) : base(deserializing) { }
+    private IntegerVectorProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     // cloning
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/MoveEvaluatorBase.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/MoveEvaluatorBase.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/MoveEvaluatorBase.cs	(revision 15018)
@@ -61,5 +61,5 @@
 
     [StorableConstructor]
-    protected MoveEvaluatorBase(bool deserializing) : base(deserializing) { }
+    protected MoveEvaluatorBase(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MoveEvaluatorBase(MoveEvaluatorBase<TSol, TMove> original, Cloner cloner) : base(original, cloner) { }
     protected MoveEvaluatorBase()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PackingItem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PackingItem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PackingItem.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected PackingItem(bool deserializing) : base(deserializing) { }
+    protected PackingItem(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PackingItem(PackingItem original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PackingPosition.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PackingPosition.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PackingPosition.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    protected PackingPosition(bool deserializing) : base(deserializing) { }
+    protected PackingPosition(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PackingPosition(PackingPosition original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PackingShape.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PackingShape.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PackingShape.cs	(revision 15018)
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected PackingShape(bool deserializing) : base(deserializing) { }
+    protected PackingShape(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PackingShape(PackingShape original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/BottomLeftPermutationDecoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/BottomLeftPermutationDecoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/BottomLeftPermutationDecoder.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    protected BottomLeftPermutationDecoder(bool deserializing) : base(deserializing) { }
+    protected BottomLeftPermutationDecoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BottomLeftPermutationDecoder(BottomLeftPermutationDecoder original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/ExtremePointPermutationDecoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/ExtremePointPermutationDecoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/ExtremePointPermutationDecoder.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    protected ExtremePointPermutationDecoder(bool deserializing) : base(deserializing) { }
+    protected ExtremePointPermutationDecoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExtremePointPermutationDecoder(ExtremePointPermutationDecoder original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/PermutationProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/PermutationProblem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/PermutationProblem.cs	(revision 15018)
@@ -37,5 +37,5 @@
     // persistence
     [StorableConstructor]
-    private PermutationProblem(bool deserializing) : base(deserializing) { }
+    private PermutationProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     // cloning
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/Swap2MoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/Swap2MoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/Swap2MoveEvaluator.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private Swap2MoveEvaluator(bool deserializing) : base(deserializing) { }
+    private Swap2MoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Swap2MoveEvaluator(Swap2MoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public Swap2MoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/TranslocationMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/TranslocationMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/TranslocationMoveEvaluator.cs	(revision 15018)
@@ -36,5 +36,5 @@
     }
     [StorableConstructor]
-    private TranslocationMoveEvaluator(bool deserializing) : base(deserializing) { }
+    private TranslocationMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private TranslocationMoveEvaluator(TranslocationMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public TranslocationMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/ProblemBase.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/ProblemBase.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/ProblemBase.cs	(revision 15018)
@@ -138,5 +138,5 @@
     // persistence
     [StorableConstructor]
-    protected ProblemBase(bool deserializing) : base(deserializing) { }
+    protected ProblemBase(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     // cloning
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/Solution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/Solution.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/2D/Solution.cs	(revision 15018)
@@ -32,5 +32,5 @@
     public Solution(PackingShape binShape, bool useExtremePoints, bool stackingConstraints) : base(binShape, useExtremePoints, stackingConstraints) { }
     [StorableConstructor]
-    protected Solution(bool deserializing) : base(deserializing) { }
+    protected Solution(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Solution(Solution original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/BinPacking3D.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/BinPacking3D.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/BinPacking3D.cs	(revision 15018)
@@ -39,5 +39,5 @@
     }
     [StorableConstructor]
-    protected BinPacking3D(bool deserializing) : base(deserializing) { }
+    protected BinPacking3D(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BinPacking3D(BinPacking3D original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/Evaluators/BinUtilizationEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/Evaluators/BinUtilizationEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/Evaluators/BinUtilizationEvaluator.cs	(revision 15018)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected BinUtilizationEvaluator(bool deserializing) : base(deserializing) { }
+    protected BinUtilizationEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BinUtilizationEvaluator(BinUtilizationEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/Evaluators/PackingRatioEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/Evaluators/PackingRatioEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/Evaluators/PackingRatioEvaluator.cs	(revision 15018)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected PackingRatioEvaluator(bool deserializing) : base(deserializing) { }
+    protected PackingRatioEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PackingRatioEvaluator(PackingRatioEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/IntegerVectorEncoding/BottomLeftIntegerVectorDecoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/IntegerVectorEncoding/BottomLeftIntegerVectorDecoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/IntegerVectorEncoding/BottomLeftIntegerVectorDecoder.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected BottomLeftIntegerVectorDecoder(bool deserializing) : base(deserializing) { }
+    protected BottomLeftIntegerVectorDecoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BottomLeftIntegerVectorDecoder(BottomLeftIntegerVectorDecoder original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/IntegerVectorEncoding/ExtremePointIntegerVectorDecoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/IntegerVectorEncoding/ExtremePointIntegerVectorDecoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/IntegerVectorEncoding/ExtremePointIntegerVectorDecoder.cs	(revision 15018)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected ExtremePointIntegerVectorDecoder(bool deserializing) : base(deserializing) { }
+    protected ExtremePointIntegerVectorDecoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExtremePointIntegerVectorDecoder(ExtremePointIntegerVectorDecoder original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/IntegerVectorEncoding/IntegerVectorDecoderBase.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/IntegerVectorEncoding/IntegerVectorDecoderBase.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/IntegerVectorEncoding/IntegerVectorDecoderBase.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    protected IntegerVectorDecoderBase(bool deserializing) : base(deserializing) { }
+    protected IntegerVectorDecoderBase(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected IntegerVectorDecoderBase(IntegerVectorDecoderBase original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/IntegerVectorEncoding/IntegerVectorProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/IntegerVectorEncoding/IntegerVectorProblem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/IntegerVectorEncoding/IntegerVectorProblem.cs	(revision 15018)
@@ -36,5 +36,5 @@
   public sealed class IntegerVectorProblem : ProblemBase<IntegerVectorEncoding, IntegerVector> {
     [StorableConstructor]
-    private IntegerVectorProblem(bool deserializing) : base(deserializing) { }
+    private IntegerVectorProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     // cloning
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/MoveEvaluatorBase.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/MoveEvaluatorBase.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/MoveEvaluatorBase.cs	(revision 15018)
@@ -64,5 +64,5 @@
 
     [StorableConstructor]
-    protected MoveEvaluatorBase(bool deserializing) : base(deserializing) { }
+    protected MoveEvaluatorBase(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MoveEvaluatorBase(MoveEvaluatorBase<TSol, TMove> original, Cloner cloner) : base(original, cloner) { }
     protected MoveEvaluatorBase()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PackingItem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PackingItem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PackingItem.cs	(revision 15018)
@@ -61,5 +61,5 @@
 
     [StorableConstructor]
-    protected PackingItem(bool deserializing) : base(deserializing) { }
+    protected PackingItem(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PackingItem(PackingItem original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PackingPosition.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PackingPosition.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PackingPosition.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected PackingPosition(bool deserializing) : base(deserializing) { }
+    protected PackingPosition(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PackingPosition(PackingPosition original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PackingShape.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PackingShape.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PackingShape.cs	(revision 15018)
@@ -58,5 +58,5 @@
 
     [StorableConstructor]
-    protected PackingShape(bool deserializing) : base(deserializing) { }
+    protected PackingShape(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PackingShape(PackingShape original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/BottomLeftPermutationDecoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/BottomLeftPermutationDecoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/BottomLeftPermutationDecoder.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    protected BottomLeftPermutationDecoder(bool deserializing) : base(deserializing) { }
+    protected BottomLeftPermutationDecoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BottomLeftPermutationDecoder(BottomLeftPermutationDecoder original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/ExtremePointPermutationDecoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/ExtremePointPermutationDecoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/ExtremePointPermutationDecoder.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    protected ExtremePointPermutationDecoder(bool deserializing) : base(deserializing) { }
+    protected ExtremePointPermutationDecoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExtremePointPermutationDecoder(ExtremePointPermutationDecoder original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/PermutationProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/PermutationProblem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/PermutationProblem.cs	(revision 15018)
@@ -35,5 +35,5 @@
   public sealed class PermutationProblem : ProblemBase<PermutationEncoding, Permutation> {
     [StorableConstructor]
-    private PermutationProblem(bool deserializing) : base(deserializing) { }
+    private PermutationProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     // cloning
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/Swap2MoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/Swap2MoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/Swap2MoveEvaluator.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private Swap2MoveEvaluator(bool deserializing) : base(deserializing) { }
+    private Swap2MoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Swap2MoveEvaluator(Swap2MoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public Swap2MoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/TranslocationMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/TranslocationMoveEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/PermutationEncoding/TranslocationMoveEvaluator.cs	(revision 15018)
@@ -36,5 +36,5 @@
     }
     [StorableConstructor]
-    private TranslocationMoveEvaluator(bool deserializing) : base(deserializing) { }
+    private TranslocationMoveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private TranslocationMoveEvaluator(TranslocationMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public TranslocationMoveEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/ProblemBase.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/ProblemBase.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/ProblemBase.cs	(revision 15018)
@@ -152,5 +152,5 @@
     // persistence
     [StorableConstructor]
-    protected ProblemBase(bool deserializing) : base(deserializing) { }
+    protected ProblemBase(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     // cloning
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/Solution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/Solution.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/3D/Solution.cs	(revision 15018)
@@ -11,5 +11,5 @@
     public Solution(PackingShape binShape, bool useExtremePoints, bool stackingConstraints) : base(binShape, useExtremePoints, stackingConstraints) { }
     [StorableConstructor]
-    protected Solution(bool deserializing) : base(deserializing) { }
+    protected Solution(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Solution(Solution original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/BinPacking.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/BinPacking.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/BinPacking.cs	(revision 15018)
@@ -63,5 +63,5 @@
 
     [StorableConstructor]
-    protected BinPacking(bool deserializing) : base(deserializing) { }
+    protected BinPacking(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BinPacking(BinPacking<TPos, TBin, TItem> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/PackingPlan.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/PackingPlan.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/PackingPlan.cs	(revision 15018)
@@ -78,5 +78,5 @@
 
     [StorableConstructor]
-    protected PackingPlan(bool deserializing) : base(deserializing) { }
+    protected PackingPlan(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PackingPlan(PackingPlan<D, B, I> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/PackingPosition.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/PackingPosition.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/PackingPosition.cs	(revision 15018)
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    protected PackingPosition(bool deserializing) : base(deserializing) { }
+    protected PackingPosition(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PackingPosition(PackingPosition original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/PackingShape.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/PackingShape.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.BinPacking/3.3/PackingShape.cs	(revision 15018)
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    protected PackingShape(bool deserializing) { }
+    protected PackingShape(StorableConstructorFlag deserializing) { }
     protected PackingShape(PackingShape<T> original, Cloner cloner) {
       this.Parameters = new ParameterCollection(original.Parameters.Select(p => cloner.Clone(p)));
